package com.ctgu.pro_eld_mqtt_compare.mqtt;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

@Data
@Component
@ConfigurationProperties(prefix = "mqtt.inbound")
public class MqttInboundProperties {
    private String url;
    private String username;
    private String password;
    private String clientId;
    private String topic;
    private Integer qos;
}