package com.ctgu.pro_eld_mqtt_compare.utils;

import java.util.Arrays;
import java.util.List;

/**
 * @ClassName TAG
 * @Author Alex2
 * @Date 2025/7/8 8:53
 **/
public abstract class TAG {
    public static final String VEHICLE = "vehicle";
    public static final String DEVICE = "device";
    public static final String BUSINESS = "business";
    public static final String DRIVER = "driver";
    public static final String VEHICLE_DEVICE = "vehicle_device";
    public static final String DRIVER_VEHICLE = "driver_vehicle";
    public static final String BUSINESS_DRIVER = "business_driver";

    public static final List<String> VEHICLE_FIELDS = Arrays.asList("id", "name", "isDelete", "customerId");
    public static final List<String> DEVICE_FIELDS = Arrays.asList("id", "userPackageId", "isDelete", "synTime", "customerId");
    public static final List<String> BUSINESS_FIELDS = Arrays.asList("id", "name", "isDelete", "customerId");
    public static final List<String> DRIVER_FIELDS = Arrays.asList("id", "name", "isDelete", "email", "phone", "customerId");
    public static final List<String> VEHICLE_DEVICE_FIELDS = Arrays.asList("id", "vehicleId", "deviceId", "isDelete", "customerId");
    public static final List<String> DRIVER_VEHICLE_FIELDS = Arrays.asList("id", "driverId", "vehicleId", "isDelete", "customerId");
    public static final List<String> BUSINESS_DRIVER_FIELDS = Arrays.asList("id", "businessId", "driverId", "isDelete", "customerId");
}
